libepubgen::EPUBSplitGuard Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libepubgen::EPUBSplitGuard Class Reference

`#include <EPUBSplitGuard.h>`

## Public Member Functions
| EPUBSplitGuard (EPUBSplitMethod method)
void | setSplitHeadingLevel (unsigned level)
void | setSplitSize (unsigned size)
void | openLevel ()
void | closeLevel ()
void | incrementSize (unsigned size)
bool | splitOnPageBreak () const
bool | splitOnHeading (unsigned level) const
bool | splitOnSize () const
void | onSplit ()

## Private Member Functions
bool | canSplit (EPUBSplitMethod method) const

## Private Attributes
const EPUBSplitMethod | m_method
unsigned | m_headingLevel
unsigned | m_size
unsigned | m_currentSize
unsigned | m_nestingLevel

## Constructor & Destructor Documentation

libepubgen::EPUBSplitGuard::EPUBSplitGuard | ( | EPUBSplitMethod | method | ) |
| explicit

## Member Function Documentation

bool libepubgen::EPUBSplitGuard::canSplit | ( | EPUBSplitMethod | method | ) | const
| private

Referenced by splitOnHeading(), splitOnPageBreak(), and splitOnSize().

void libepubgen::EPUBSplitGuard::closeLevel | ( |  | ) |

void libepubgen::EPUBSplitGuard::incrementSize | ( | unsigned | size | ) |

void libepubgen::EPUBSplitGuard::onSplit | ( |  | ) |

Referenced by libepubgen::EPUBGenerator::startNewHtmlFile().

void libepubgen::EPUBSplitGuard::openLevel | ( |  | ) |

void libepubgen::EPUBSplitGuard::setSplitHeadingLevel | ( | unsigned | level | ) |

void libepubgen::EPUBSplitGuard::setSplitSize | ( | unsigned | size | ) |

bool libepubgen::EPUBSplitGuard::splitOnHeading | ( | unsigned | level | ) | const

bool libepubgen::EPUBSplitGuard::splitOnPageBreak | ( |  | ) | const

bool libepubgen::EPUBSplitGuard::splitOnSize | ( |  | ) | const

## Member Data Documentation

unsigned libepubgen::EPUBSplitGuard::m_currentSize
| private

Referenced by canSplit(), and splitOnSize().

unsigned libepubgen::EPUBSplitGuard::m_headingLevel
| private

Referenced by setSplitHeadingLevel(), and splitOnHeading().

const EPUBSplitMethod libepubgen::EPUBSplitGuard::m_method
| private

Referenced by canSplit().

unsigned libepubgen::EPUBSplitGuard::m_nestingLevel
| private

Referenced by canSplit(), closeLevel(), and openLevel().

unsigned libepubgen::EPUBSplitGuard::m_size
| private

Referenced by incrementSize(), onSplit(), setSplitSize(), and splitOnSize().

The documentation for this class was generated from the following files:

- EPUBSplitGuard.h
- EPUBSplitGuard.cpp